Draft Punto

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft Point and the translation is 29% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский • ‎svenska • ‎Türkçe
Arrow-left.svg Previous: Draft BSpline.svg BSpline

Draft Point.svg {{{Name/es}}}

Ubicación en el Menú
Boceto → Punto
Entornos de trabajo
Boceto, Arquitectura
Atajo de teclado por defecto
P T
Introducido en versión
-
Ver también
None


Descripción

La herramienta punto crea un punto simple en el plano de trabajo actual, útil para servir como referencia para ubicar otros objetos después. Toma el color previamente establecido en la pestaña de tareas.

Draft point example.jpg

Draft point example.jpg

Utilización

  1. Presiona el botón Draft Point.png punto, o presiona las teclas P y T
  2. Designa un punto en la vista 3D, o escribe unas coordenadas coordenadas

Opciones

  • Para introducir coordenadas manualmente, simplemente introduce los números, y presiona ENTER entre cada componente X, Y y Z.
  • Presiona ESC o el botón Cancelar para evitar el comando actual.

Propiedades

  • DATAX: La coordenada X del punto
  • DATAY: La coordenada Y del punto
  • DATAZ: La coordenada Z del punto

Archivos de guión

La herramienta punto se puede utilizar en macros y desde la consola Python utilizando la siguiente función:

Point = makePoint(X=0, Y=0, Z=0, color=None, name="Point", point_size=5)
Point = makePoint(point, Y=0, Z=0, color=None, name="Point", point_size=5)
  • crea un punto en las coordenadas indicadas. Si no se indican las coordenadas X, Y y Z, el punto se creará en el origen de coordenadas (0,0,0). Devuelve el objeto recién creado.

Example:

import FreeCAD
import Draft

Point1 = Draft.makePoint(1600, 1400, 0)

p2 = FreeCAD.Vector(-3200, 1800, 0)
Point2 = Draft.makePoint(p2, color=(0.5, 0.3, 0.6), point_size=10)
FreeCAD.ActiveDocument.recompute()

Example:

This code creates N random points within a square of side 2L. It makes a loop creating N points, that may appear anywhere from -L to +L on both X and Y; it also chooses a random color and size for each point. Change N to change the number of points, and change L to change the area covered by the points.

import random
import FreeCAD
import Draft

L = 1000
centered = FreeCAD.Placement(FreeCAD.Vector(-L, -L, 0), FreeCAD.Rotation())
Rectangle = Draft.makeRectangle(2*L, 2*L, placement=centered)
N = 10

for i in range(N):
    x = 2*L*random.random() - L
    y = 2*L*random.random() - L
    z = 0
    r = random.random()
    g = random.random()
    b = random.random()
    size = 15*random.random() + 5
    Draft.makePoint(x, y, z, color=(r, g, b), point_size=size)

FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Previous: Draft BSpline.svg BSpline